Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451015 - check_ntp_peers causes buffer overflow
Summary: check_ntp_peers causes buffer overflow
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins
Version: el5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 12:00 UTC by Berthold Cogel
Modified: 2008-10-31 13:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-29 03:12:03 UTC


Attachments (Terms of Use)

Description Berthold Cogel 2008-06-12 12:00:06 UTC
Description of problem:
check_ntp_peer terminates with buffer overflow detected


Version-Release number of selected component (if applicable):
1.4.11-2.el5

How reproducible:
Always, happens on different systems with different architectures

Steps to Reproduce:
1. call check_ntp_peers
2.
3.
  
Actual results:
[root@uninvweb auth]# /usr/lib/nagios/plugins/check_ntp_peer -H
time1.rrz.uni-koeln.de -w 120 -c 200 
*** buffer overflow detected ***: /usr/lib/nagios/plugins/check_ntp_peer terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x79fe41]
/lib/libc.so.6(__read_chk+0x50)[0x7a02d0]
/usr/lib/nagios/plugins/check_ntp_peer[0x8049da3]
/usr/lib/nagios/plugins/check_ntp_peer[0x804a80e]
/lib/libc.so.6(__libc_start_main+0xdc)[0x6d0dec]
/usr/lib/nagios/plugins/check_ntp_peer[0x8048d11]
======= Memory map: ========
0044e000-00452000 r-xp 00000000 08:01 160041     /lib/libnss_dns-2.5.so
00452000-00453000 r-xp 00003000 08:01 160041     /lib/libnss_dns-2.5.so
00453000-00454000 rwxp 00004000 08:01 160041     /lib/libnss_dns-2.5.so
00560000-0056b000 r-xp 00000000 08:01 800018     /lib/libgcc_s-4.1.2-20080102.so.1
0056b000-0056c000 rwxp 0000a000 08:01 800018     /lib/libgcc_s-4.1.2-20080102.so.1
0069d000-006b7000 r-xp 00000000 08:01 160750     /lib/ld-2.5.so
006b7000-006b8000 r-xp 00019000 08:01 160750     /lib/ld-2.5.so
006b8000-006b9000 rwxp 0001a000 08:01 160750     /lib/ld-2.5.so
006bb000-007f8000 r-xp 00000000 08:01 160752     /lib/libc-2.5.so
007f8000-007fa000 r-xp 0013d000 08:01 160752     /lib/libc-2.5.so
007fa000-007fb000 rwxp 0013f000 08:01 160752     /lib/libc-2.5.so
007fb000-007fe000 rwxp 007fb000 00:00 0 
00800000-00825000 r-xp 00000000 08:01 800017     /lib/libm-2.5.so
00825000-00826000 r-xp 00024000 08:01 800017     /lib/libm-2.5.so
00826000-00827000 rwxp 00025000 08:01 800017     /lib/libm-2.5.so
0085d000-00866000 r-xp 00000000 08:01 160075     /lib/libnss_files-2.5.so
00866000-00867000 r-xp 00008000 08:01 160075     /lib/libnss_files-2.5.so
00867000-00868000 rwxp 00009000 08:01 160075     /lib/libnss_files-2.5.so
008ca000-008dd000 r-xp 00000000 08:01 160760     /lib/libnsl-2.5.so
008dd000-008de000 r-xp 00012000 08:01 160760     /lib/libnsl-2.5.so
008de000-008df000 rwxp 00013000 08:01 160760     /lib/libnsl-2.5.so
008df000-008e1000 rwxp 008df000 00:00 0 
008e3000-008f2000 r-xp 00000000 08:01 800008     /lib/libresolv-2.5.so
008f2000-008f3000 r-xp 0000e000 08:01 800008     /lib/libresolv-2.5.so
008f3000-008f4000 rwxp 0000f000 08:01 800008     /lib/libresolv-2.5.so
008f4000-008f6000 rwxp 008f4000 00:00 0 
00ed5000-00ed6000 r-xp 00ed5000 00:00 0          [vdso]
08048000-0804f000 r-xp 00000000 08:01 1250423   
/usr/lib/nagios/plugins/check_ntp_peer
0804f000-08051000 rw-p 00006000 08:01 1250423   
/usr/lib/nagios/plugins/check_ntp_peer
09486000-094a7000 rw-p 09486000 00:00 0 
b7dbf000-b7fbf000 r--p 00000000 08:01 1173651    /usr/lib/locale/locale-archive
b7fbf000-b7fc1000 rw-p b7fbf000 00:00 0 
bff9a000-bffaf000 rw-p bff9a000 00:00 0          [stack]
Abgebrochen


Expected results:


Additional info:
Happens for i386 and x86_64

Comment 1 Tobias Wolter 2008-06-13 09:26:04 UTC
Also occurs when recompiling without vendor patches and using the sources of
version 1.4.12.

Comment 2 Mike McGrath 2008-09-29 03:12:03 UTC
I believe this is fixed in 1.4.13 (which I'll be building and releasing later tonight)

Comment 3 Fedora Update System 2008-10-02 14:04:35 UTC
nagios-plugins-1.4.13-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nagios-plugins-1.4.13-4.fc9

Comment 4 Fedora Update System 2008-10-02 14:05:31 UTC
nagios-plugins-1.4.13-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/nagios-plugins-1.4.13-4.fc8

Comment 5 Fedora Update System 2008-10-03 22:31:18 UTC
nagios-plugins-1.4.13-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-10-03 22:35:07 UTC
nagios-plugins-1.4.13-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.